Index: /branches/2988_ModelsOfModels2/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Interpreter/OpCodes.cs
===================================================================
--- /branches/2988_ModelsOfModels2/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Interpreter/OpCodes.cs	(revision 16898)
+++ /branches/2988_ModelsOfModels2/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Interpreter/OpCodes.cs	(revision 16899)
@@ -20,10 +20,10 @@
 #endregion
 
+using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using System;
 using System.Collections.Generic;
-using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 
 namespace HeuristicLab.Problems.DataAnalysis.Symbolic {
-  public static class OpCodes {
+  public static class OpCode {
     public const byte Add = 1;
     public const byte Sub = 2;
@@ -95,58 +95,58 @@
 
     private static Dictionary<Type, byte> symbolToOpcode = new Dictionary<Type, byte>() {
-       { typeof(Addition), OpCodes.Add },
-      { typeof(Subtraction), OpCodes.Sub },
-      { typeof(Multiplication), OpCodes.Mul },
-      { typeof(Division), OpCodes.Div },
-      { typeof(Sine), OpCodes.Sin },
-      { typeof(Cosine), OpCodes.Cos },
-      { typeof(Tangent), OpCodes.Tan },
-      { typeof (HyperbolicTangent), OpCodes.Tanh},
-      { typeof(Logarithm), OpCodes.Log },
-      { typeof(Exponential), OpCodes.Exp },
-      { typeof(IfThenElse), OpCodes.IfThenElse },
-      { typeof(GreaterThan), OpCodes.GT },
-      { typeof(LessThan), OpCodes.LT },
-      { typeof(And), OpCodes.AND },
-      { typeof(Or), OpCodes.OR },
-      { typeof(Not), OpCodes.NOT},
-      { typeof(Xor),OpCodes.XOR},
-      { typeof(Average), OpCodes.Average},
-      { typeof(InvokeFunction), OpCodes.Call },
-      { typeof(Variable), OpCodes.Variable },
-      { typeof(LaggedVariable), OpCodes.LagVariable },
-      { typeof(AutoregressiveTargetVariable),OpCodes.LagVariable},
-      { typeof(Constant), OpCodes.Constant },
-      { typeof(TreeModel), OpCodes.TreeModel },
-      { typeof(Argument), OpCodes.Arg },
-      { typeof(Power),OpCodes.Power},
-      { typeof(Root),OpCodes.Root},
-      { typeof(TimeLag), OpCodes.TimeLag},
-      { typeof(Integral), OpCodes.Integral},
-      { typeof(Derivative), OpCodes.Derivative},
-      { typeof(VariableCondition),OpCodes.VariableCondition},
-      { typeof(Square),OpCodes.Square},
-      { typeof(SquareRoot),OpCodes.SquareRoot},
-      { typeof(Gamma), OpCodes.Gamma },
-      { typeof(Psi), OpCodes.Psi },
-      { typeof(Dawson), OpCodes.Dawson},
-      { typeof(ExponentialIntegralEi), OpCodes.ExponentialIntegralEi },
-      { typeof(CosineIntegral), OpCodes.CosineIntegral },
-      { typeof(SineIntegral), OpCodes.SineIntegral },
-      { typeof(HyperbolicCosineIntegral), OpCodes.HyperbolicCosineIntegral },
-      { typeof(HyperbolicSineIntegral), OpCodes.HyperbolicSineIntegral },
-      { typeof(FresnelCosineIntegral), OpCodes.FresnelCosineIntegral },
-      { typeof(FresnelSineIntegral), OpCodes.FresnelSineIntegral },
-      { typeof(AiryA), OpCodes.AiryA },
-      { typeof(AiryB), OpCodes.AiryB },
-      { typeof(Norm), OpCodes.Norm},
-      { typeof(Erf), OpCodes.Erf},
-      { typeof(Bessel), OpCodes.Bessel},
-      { typeof(FactorVariable), OpCodes.FactorVariable },
-      { typeof(BinaryFactorVariable), OpCodes.BinaryFactorVariable },
-      { typeof(Absolute), OpCodes.Absolute },
-      { typeof(AnalyticQuotient), OpCodes.AnalyticQuotient },
-      { typeof(Cube), OpCodes.Cube },
-      { typeof(CubeRoot), OpCodes.CubeRoot }
+       { typeof(Addition), OpCode.Add },
+      { typeof(Subtraction), OpCode.Sub },
+      { typeof(Multiplication), OpCode.Mul },
+      { typeof(Division), OpCode.Div },
+      { typeof(Sine), OpCode.Sin },
+      { typeof(Cosine), OpCode.Cos },
+      { typeof(Tangent), OpCode.Tan },
+      { typeof (HyperbolicTangent), OpCode.Tanh},
+      { typeof(Logarithm), OpCode.Log },
+      { typeof(Exponential), OpCode.Exp },
+      { typeof(IfThenElse), OpCode.IfThenElse },
+      { typeof(GreaterThan), OpCode.GT },
+      { typeof(LessThan), OpCode.LT },
+      { typeof(And), OpCode.AND },
+      { typeof(Or), OpCode.OR },
+      { typeof(Not), OpCode.NOT},
+      { typeof(Xor),OpCode.XOR},
+      { typeof(Average), OpCode.Average},
+      { typeof(InvokeFunction), OpCode.Call },
+      { typeof(Variable), OpCode.Variable },
+      { typeof(LaggedVariable), OpCode.LagVariable },
+      { typeof(AutoregressiveTargetVariable),OpCode.LagVariable},
+      { typeof(Constant), OpCode.Constant },
+      { typeof(TreeModel), OpCode.TreeModel },
+      { typeof(Argument), OpCode.Arg },
+      { typeof(Power),OpCode.Power},
+      { typeof(Root),OpCode.Root},
+      { typeof(TimeLag), OpCode.TimeLag},
+      { typeof(Integral), OpCode.Integral},
+      { typeof(Derivative), OpCode.Derivative},
+      { typeof(VariableCondition),OpCode.VariableCondition},
+      { typeof(Square),OpCode.Square},
+      { typeof(SquareRoot),OpCode.SquareRoot},
+      { typeof(Gamma), OpCode.Gamma },
+      { typeof(Psi), OpCode.Psi },
+      { typeof(Dawson), OpCode.Dawson},
+      { typeof(ExponentialIntegralEi), OpCode.ExponentialIntegralEi },
+      { typeof(CosineIntegral), OpCode.CosineIntegral },
+      { typeof(SineIntegral), OpCode.SineIntegral },
+      { typeof(HyperbolicCosineIntegral), OpCode.HyperbolicCosineIntegral },
+      { typeof(HyperbolicSineIntegral), OpCode.HyperbolicSineIntegral },
+      { typeof(FresnelCosineIntegral), OpCode.FresnelCosineIntegral },
+      { typeof(FresnelSineIntegral), OpCode.FresnelSineIntegral },
+      { typeof(AiryA), OpCode.AiryA },
+      { typeof(AiryB), OpCode.AiryB },
+      { typeof(Norm), OpCode.Norm},
+      { typeof(Erf), OpCode.Erf},
+      { typeof(Bessel), OpCode.Bessel},
+      { typeof(FactorVariable), OpCode.FactorVariable },
+      { typeof(BinaryFactorVariable), OpCode.BinaryFactorVariable },
+      { typeof(Absolute), OpCode.Absolute },
+      { typeof(AnalyticQuotient), OpCode.AnalyticQuotient },
+      { typeof(Cube), OpCode.Cube },
+      { typeof(CubeRoot), OpCode.CubeRoot }
     };
 
Index: /branches/2988_ModelsOfModels2/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Interpreter/SymbolicDataAnalysisExpressionCompiledTreeInterpreter.cs
===================================================================
--- /branches/2988_ModelsOfModels2/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Interpreter/SymbolicDataAnalysisExpressionCompiledTreeInterpreter.cs	(revision 16898)
+++ /branches/2988_ModelsOfModels2/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Interpreter/SymbolicDataAnalysisExpressionCompiledTreeInterpreter.cs	(revision 16899)
@@ -154,12 +154,12 @@
     private static readonly PropertyInfo Indexer = typeof(IList<double>).GetProperty("Item");
     private static Expression MakeExpr(ISymbolicExpressionTreeNode node, Dictionary<string, int> variableIndices, Expression row, Expression columns) {
-      var opcode = OpCodes.MapSymbolToOpCode(node);
+      var opcode = OpCode.MapSymbolToOpCode(node);
       #region switch opcode
       switch (opcode) {
-        case OpCodes.Constant: {
+        case OpCode.Constant: {
             var constantTreeNode = (ConstantTreeNode)node;
             return Expression.Constant(constantTreeNode.Value);
           }
-        case OpCodes.Variable: {
+        case OpCode.Variable: {
             var variableTreeNode = (VariableTreeNode)node;
             var variableWeight = Expression.Constant(variableTreeNode.Weight);
@@ -169,5 +169,5 @@
             return Expression.Multiply(variableWeight, Expression.Property(valuesExpr, Indexer, row));
           }
-        case OpCodes.Add: {
+        case OpCode.Add: {
             Expression result = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             for (int i = 1; i < node.SubtreeCount; ++i) {
@@ -176,5 +176,5 @@
             return result;
           }
-        case OpCodes.Sub: {
+        case OpCode.Sub: {
             Expression result = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             if (node.SubtreeCount == 1)
@@ -185,5 +185,5 @@
             return result;
           }
-        case OpCodes.Mul: {
+        case OpCode.Mul: {
             Expression result = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             for (int i = 1; i < node.SubtreeCount; ++i) {
@@ -192,5 +192,5 @@
             return result;
           }
-        case OpCodes.Div: {
+        case OpCode.Div: {
             Expression result = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             if (node.SubtreeCount == 1)
@@ -201,5 +201,5 @@
             return result;
           }
-        case OpCodes.Average: {
+        case OpCode.Average: {
             Expression result = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             for (int i = 1; i < node.SubtreeCount; ++i) {
@@ -208,59 +208,59 @@
             return Expression.Divide(result, Expression.Constant((double)node.SubtreeCount));
           }
-        case OpCodes.Absolute: {
+        case OpCode.Absolute: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             return Expression.Call(Abs, arg);
           }
-        case OpCodes.Cos: {
+        case OpCode.Cos: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             return Expression.Call(Cos, arg);
           }
-        case OpCodes.Sin: {
+        case OpCode.Sin: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             return Expression.Call(Sin, arg);
           }
-        case OpCodes.Tan: {
+        case OpCode.Tan: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             return Expression.Call(Tan, arg);
           }
-        case OpCodes.Tanh: {
+        case OpCode.Tanh: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             return Expression.Call(Tanh, arg);
           }
-        case OpCodes.Square: {
+        case OpCode.Square: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             return Expression.Power(arg, Expression.Constant(2.0));
           }
-        case OpCodes.Cube: {
+        case OpCode.Cube: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             return Expression.Power(arg, Expression.Constant(3.0));
           }
-        case OpCodes.Power: {
+        case OpCode.Power: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var power = MakeExpr(node.GetSubtree(1), variableIndices, row, columns);
             return Expression.Power(arg, Expression.Call(Round, power));
           }
-        case OpCodes.SquareRoot: {
+        case OpCode.SquareRoot: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             return Expression.Call(Sqrt, arg);
           }
-        case OpCodes.CubeRoot: {
+        case OpCode.CubeRoot: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             return Expression.Power(arg, Expression.Constant(1.0 / 3.0));
           }
-        case OpCodes.Root: {
+        case OpCode.Root: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var power = MakeExpr(node.GetSubtree(1), variableIndices, row, columns);
             return Expression.Power(arg, Expression.Divide(Expression.Constant(1.0), Expression.Call(Round, power)));
           }
-        case OpCodes.Exp: {
+        case OpCode.Exp: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             return Expression.Call(Exp, arg);
           }
-        case OpCodes.Log: {
+        case OpCode.Log: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             return Expression.Call(Log, arg);
           }
-        case OpCodes.Gamma: {
+        case OpCode.Gamma: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -278,5 +278,5 @@
             return expr;
           }
-        case OpCodes.Psi: {
+        case OpCode.Psi: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -300,5 +300,5 @@
             return expr;
           }
-        case OpCodes.Dawson: {
+        case OpCode.Dawson: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -314,5 +314,5 @@
             return expr;
           }
-        case OpCodes.ExponentialIntegralEi: {
+        case OpCode.ExponentialIntegralEi: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -328,5 +328,5 @@
             return expr;
           }
-        case OpCodes.SineIntegral: {
+        case OpCode.SineIntegral: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -348,5 +348,5 @@
             return expr;
           }
-        case OpCodes.CosineIntegral: {
+        case OpCode.CosineIntegral: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -368,5 +368,5 @@
             return expr;
           }
-        case OpCodes.HyperbolicSineIntegral: {
+        case OpCode.HyperbolicSineIntegral: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -388,5 +388,5 @@
             return expr;
           }
-        case OpCodes.HyperbolicCosineIntegral: {
+        case OpCode.HyperbolicCosineIntegral: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -408,5 +408,5 @@
             return expr;
           }
-        case OpCodes.FresnelSineIntegral: {
+        case OpCode.FresnelSineIntegral: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -424,5 +424,5 @@
             return expr;
           }
-        case OpCodes.FresnelCosineIntegral: {
+        case OpCode.FresnelCosineIntegral: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -440,5 +440,5 @@
             return expr;
           }
-        case OpCodes.AiryA: {
+        case OpCode.AiryA: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -458,5 +458,5 @@
             return expr;
           }
-        case OpCodes.AiryB: {
+        case OpCode.AiryB: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -476,5 +476,5 @@
             return expr;
           }
-        case OpCodes.Norm: {
+        case OpCode.Norm: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var result = Expression.Variable(typeof(double));
@@ -487,5 +487,5 @@
               result);
           }
-        case OpCodes.Erf: {
+        case OpCode.Erf: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -499,5 +499,5 @@
               result);
           }
-        case OpCodes.Bessel: {
+        case OpCode.Bessel: {
             var arg = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var isNaN = Expression.Call(IsNaN, arg);
@@ -511,5 +511,5 @@
               result);
           }
-        case OpCodes.AnalyticQuotient: {
+        case OpCode.AnalyticQuotient: {
             var x1 = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var x2 = MakeExpr(node.GetSubtree(1), variableIndices, row, columns);
@@ -520,5 +520,5 @@
                 Expression.Multiply(x2, x2))));
           }
-        case OpCodes.IfThenElse: {
+        case OpCode.IfThenElse: {
             var test = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var result = Expression.Variable(typeof(double));
@@ -528,5 +528,5 @@
             return Expression.Block(new[] { result }, condition, result);
           }
-        case OpCodes.AND: {
+        case OpCode.AND: {
             var result = Expression.Variable(typeof(double));
             var expr = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
@@ -553,5 +553,5 @@
               );
           }
-        case OpCodes.OR: {
+        case OpCode.OR: {
             var result = Expression.Variable(typeof(double));
             var expr = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
@@ -578,5 +578,5 @@
               );
           }
-        case OpCodes.NOT: {
+        case OpCode.NOT: {
             var value = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var result = Expression.Variable(typeof(double));
@@ -586,5 +586,5 @@
             return Expression.Block(new[] { result }, condition, result);
           }
-        case OpCodes.XOR: {
+        case OpCode.XOR: {
             var ps = Expression.Variable(typeof(int));
             var block = Expression.Block(
@@ -617,5 +617,5 @@
             return xorExpr;
           }
-        case OpCodes.GT: {
+        case OpCode.GT: {
             var left = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var right = MakeExpr(node.GetSubtree(1), variableIndices, row, columns);
@@ -629,5 +629,5 @@
               result);
           }
-        case OpCodes.LT: {
+        case OpCode.LT: {
             var left = MakeExpr(node.GetSubtree(0), variableIndices, row, columns);
             var right = MakeExpr(node.GetSubtree(1), variableIndices, row, columns);
@@ -638,5 +638,5 @@
             return Expression.Block(new[] { result }, condition, result);
           }
-        case OpCodes.VariableCondition: {
+        case OpCode.VariableCondition: {
             var variableConditionTreeNode = (VariableConditionTreeNode)node;
             if (variableConditionTreeNode.Symbol.IgnoreSlope) throw new NotSupportedException("Strict variable conditionals are not supported");
Index: /branches/2988_ModelsOfModels2/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Interpreter/SymbolicDataAnalysisExpressionTreeBatchInterpreter.cs
===================================================================
--- /branches/2988_ModelsOfModels2/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Interpreter/SymbolicDataAnalysisExpressionTreeBatchInterpreter.cs	(revision 16898)
+++ /branches/2988_ModelsOfModels2/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Interpreter/SymbolicDataAnalysisExpressionTreeBatchInterpreter.cs	(revision 16899)
@@ -64,14 +64,14 @@
 
         switch (instr.opcode) {
-          case OpCodes.Variable: {
+          case OpCode.Variable: {
               LoadData(instr, rows, rowIndex, batchSize);
               break;
             }
-          case OpCodes.TreeModel: {
+          case OpCode.TreeModel: {
               SubTreeEvoluate(instr, rows, rowIndex, batchSize);
               break;
             }
 
-          case OpCodes.Add: {
+          case OpCode.Add: {
               Load(instr.buf, code[c].buf);
               for (int j = 1; j < n; ++j) {
@@ -81,5 +81,5 @@
             }
 
-          case OpCodes.Sub: {
+          case OpCode.Sub: {
               if (n == 1) {
                 Neg(instr.buf, code[c].buf);
@@ -93,5 +93,5 @@
             }
 
-          case OpCodes.Mul: {
+          case OpCode.Mul: {
               Load(instr.buf, code[c].buf);
               for (int j = 1; j < n; ++j) {
@@ -101,5 +101,5 @@
             }
 
-          case OpCodes.Div: {
+          case OpCode.Div: {
               if (n == 1) {
                 Inv(instr.buf, code[c].buf);
@@ -113,10 +113,10 @@
             }
 
-          case OpCodes.Square: {
+          case OpCode.Square: {
               Square(instr.buf, code[c].buf);
               break;
             }
 
-          case OpCodes.Root: {
+          case OpCode.Root: {
               Load(instr.buf, code[c].buf);
               Root(instr.buf, code[c + 1].buf);
@@ -124,19 +124,19 @@
             }
 
-          case OpCodes.SquareRoot: {
+          case OpCode.SquareRoot: {
               Sqrt(instr.buf, code[c].buf);
               break;
             }
 
-          case OpCodes.Cube: {
+          case OpCode.Cube: {
               Cube(instr.buf, code[c].buf);
               break;
             }
-          case OpCodes.CubeRoot: {
+          case OpCode.CubeRoot: {
               CubeRoot(instr.buf, code[c].buf);
               break;
             }
 
-          case OpCodes.Power: {
+          case OpCode.Power: {
               Load(instr.buf, code[c].buf);
               Pow(instr.buf, code[c + 1].buf);
@@ -144,38 +144,38 @@
             }
 
-          case OpCodes.Exp: {
+          case OpCode.Exp: {
               Exp(instr.buf, code[c].buf);
               break;
             }
 
-          case OpCodes.Log: {
+          case OpCode.Log: {
               Log(instr.buf, code[c].buf);
               break;
             }
 
-          case OpCodes.Sin: {
+          case OpCode.Sin: {
               Sin(instr.buf, code[c].buf);
               break;
             }
 
-          case OpCodes.Cos: {
+          case OpCode.Cos: {
               Cos(instr.buf, code[c].buf);
               break;
             }
 
-          case OpCodes.Tan: {
+          case OpCode.Tan: {
               Tan(instr.buf, code[c].buf);
               break;
             }
-          case OpCodes.Tanh: {
+          case OpCode.Tanh: {
               Tanh(instr.buf, code[c].buf);
               break;
             }
-          case OpCodes.Absolute: {
+          case OpCode.Absolute: {
               Absolute(instr.buf, code[c].buf);
               break;
             }
 
-          case OpCodes.AnalyticQuotient: {
+          case OpCode.AnalyticQuotient: {
               Load(instr.buf, code[c].buf);
               AnalyticQuotient(instr.buf, code[c + 1].buf);
@@ -213,5 +213,5 @@
       }
 
-      var code = Compile(tree, dataset, OpCodes.MapSymbolToOpCode, rows);
+      var code = Compile(tree, dataset, OpCode.MapSymbolToOpCode, rows);
       var remainingRows = rows.Length % BATCHSIZE;
       var roundedTotal = rows.Length - remainingRows;
